#!/bin/bash
if [ $# -lt 1 ]
then
    echo "usage: $0 size"
    exit 1
fi

for FILENAME in *      
do
    FILESIZE=$(stat -c%s "$FILENAME")
    # stat ritorna la dimensione in bytes, devo dividere
    FILESIZE=$(($FILESIZE/1024))
    if  [ "$FILESIZE" -gt "$1" ]
    then 
      echo "$FILENAME is $FILESIZE Kb."
    fi
    
done

