#!/bin/bash

# riporta il numero di file presenti con una certa estensione. Senza argomenti.

# le estensioni vengono prese dai file presenti nella cartella corrente 
estensioni=$(ls | cut --delimiter=. --fields=2 --only-delimited | sort | uniq)

# A questo punto la variabile estensioni contiene la lista
# delle estensioni trovate 

for i in $estensioni
 do 
  cont=$(ls *.$i | wc -l)
  if [ $cont -gt 0 ]
   then 
    echo "$i: $cont" 
  fi  
done

echo "cartelle: " $(ls -l | grep -E -c ^d)  
